# Generated by Django 3.2.21 on 2023-09-29 10:21

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('crawl_server', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='CrawlBot',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('topic', models.CharField(max_length=255)),
                ('group_id', models.CharField(max_length=20)),
                ('status', models.PositiveIntegerField()),
                ('social_type', models.PositiveIntegerField()),
                ('current_script', models.SmallIntegerField(null=True)),
                ('current_params', models.CharField(max_length=1000, null=True)),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('server', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='crawl_server.crawlserver')),
            ],
            options={
                'db_table': 'crawl_bot',
            },
        ),
    ]
